Package: pristine-tar
Version: 1.40
Severity: normal

$ wget 
'https://pypi.python.org/packages/3b/f5/71cc36f37b2e91aa36cb4234adfa6eaad5f55947eddc9035efe7280cf400/planetfilter-0.7.4.tar.gz#md5=1f810bb2398890a464665f2eaea168e2'
...
$ tar zxf planetfilter-0.7.4.tar.gz
$ cd planetfilter-0.7.4/
$ git init
$ git add .
$ git commit -a -m "Initial commit"
$ pristine-tar gendelta ../planetfilter-0.7.4.tar.gz ../delta
$ pristine-tar gentar ../delta ../planetfilter-0.7.4-new.tar.gz
xdelta3: target window checksum mismatch: XD3_INVALID_INPUT
xdelta3: normally this indicates that the source file is incorrect
xdelta3: please verify the source file with sha1sum or equivalent
xdelta3 decode failed! at /usr/share/perl5/Pristine/Tar/DeltaTools.pm line 56.
pristine-tar: command failed: pristine-gz --no-verbose --no-debug --no-keep 
gengz /tmp/user/1000/pristine-tar.LHWZr2M6cN/wrapper 
/tmp/user/1000/pristine-tar.KmM6S0BUty/planetfilter-0.7.4-new.tar.gz.tmp

Original tarball is attached.

Also described on: 
https://feeding.cloud.geek.nz/posts/pristine-tar-and-git-buildpackage-work-arounds/

Francois

-- System Information:
Debian Release: buster/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 4.11.0-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=fr_CA.utf8, LC_CTYPE=fr_CA.utf8 (charmap=UTF-8), 
LANGUAGE=fr_CA.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages pristine-tar depends on:
ii  libbz2-1.0  1.0.6-8.1
ii  libc6       2.24-14
ii  perl        5.26.0-5
ii  tar         1.29b-2
ii  xdelta      1.1.3-9.1+b1
ii  xdelta3     3.0.11-dfsg-1+b1
ii  zlib1g      1:1.2.8.dfsg-5

Versions of packages pristine-tar recommends:
ii  bzip2     1.0.6-8.1
ii  pbzip2    1.1.9-1+b1
ii  xz-utils  5.2.2-1.3

pristine-tar suggests no packages.

-- no debconf information

Attachment: planetfilter-0.7.4.tar.gz
Description: application/gzip

Reply via email to